Media (Intel® oneAPI Video Processing Library, Intel Media SDK)
Access community support with transcoding, decoding, and encoding in applications using media tools from Intel. This includes Intel® oneAPI Video Processing Library and Intel® Media SDK.
2928 Discussions

Intel MSDK 2017r3 installation failed on ubuntu 16.04 with latest driver upgrade

lee__xun
Beginner
246 Views

I install Intel MSDK 2017r3 essential version successfuly on ubuntu 16.04 before. Recently, Ubuntu 16.04 upgrade kernel image to 4.13 with some driver upgrade. Now I use the same step to install it on ubuntu16.04, it is failed, show "the system running at the low-graphic mode" and failed to gnome desktop.

The step is as below:

1. install ubuntu 16.04, use "apt upgrade" to upgrade all driver to latest. (mainly mesa package).

2. install msdk2017r3 following guide.

3. reboot,

then "low-graphic mode" will be shown, and failed to GUI. Is there any patches for this issue? Thanks.

 

 

0 Kudos
4 Replies
Jiandong_Z_Intel
Employee
246 Views

Hi There,

There is an article for you to refer

https://software.intel.com/en-us/articles/how-to-setup-media-server-studio-on-secondary-os-of-linux

 

Thanks,

Zachary

lee__xun
Beginner
246 Views

Jiandong, Thanks for your advice. 

I read this article several month ago, and install MSDK on ubuntu 16.04 successfully before. Just in these days ubuntu upgrade a lot of graphic drivers and kernel version to 4.13, MSDK installation is failed. Following that article, I can not solve this problem. If I missed useful information in that article, please kindly help me to figure out which part is helpful to this problem. Below are some clues that I tried in those days.

I noticed that following drivers are upgraded in latest ubuntu upgrade.

mesa related library  upgrade to 17.2.4 (original is 17.0.7)

accordingly, libdrm-common/libdrm-dev upgrade to 2.4.76-1. 

It seems mesa library version does not match libva/libdrm in MSDK, that causes "low-graphic mode" issue. My current patch is to force to roll mesa library version back to 17.0.7-0ubuntu0.16.04.1, that could solve  "low-graphic mode" problem.

Can Intel help me to give an official solution for this? Thanks.

 

Xun

 

QS
Beginner
246 Views

You'd better install intel media sdk on Ubuntu 16.04 server(not desktop).

And used the intel patched 4.4 kernel.

lee__xun
Beginner
246 Views

Thanks. That's a good suggestion.

Unfortunately we already released some to customer. Is there any solution to save those servers?

Reply